Page MenuHomePhabricator

UI for adding statement block on File page (Q-items only, no qualifiers)
Closed, ResolvedPublic

Description

Note: blocked by https://phabricator.wikimedia.org/T219378

User story:
As a normal user
I want to be able go to the File page
And add a statement block for a Property that doesn't already have statements
Where the statement Property accepts Q-items as a value (i.e. the property has data-type 'wikibase-entity')
So that the user can add statements about a File that aren't just depicts - for example the painter of a picture

We have this:
'depicts' statements only

We want this:

Not in scope:

  • qualifiers
  • properties with data types that are not 'wikibase-entity'

Acceptance Criteria:

  • user can add statement block for property that has data type 'wikibase-entity'
  • user can add/delete statements in new statement block
  • user can remove entire statement block
  • user can publish to save new statements
  • after publishing, statement block behaves as T219382

Event Timeline

Cparle created this task.Mar 27 2019, 1:47 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 27 2019, 1:47 PM
Cparle updated the task description. (Show Details)Mar 27 2019, 1:50 PM
Cparle updated the task description. (Show Details)Mar 27 2019, 3:43 PM
Ramsey-WMF triaged this task as High priority.Mar 28 2019, 2:46 PM
Ramsey-WMF moved this task from Untriaged to Triaged on the Multimedia board.
Cparle updated the task description. (Show Details)May 14 2019, 4:25 PM
PDrouin-WMF moved this task from Backlog 📚 to Doing 📝 on the SDC Design board.

Change 510577 had a related patch set uploaded (by Cparle; owner: Cparle):
[mediawiki/extensions/WikibaseMediaInfo@master] WIP: other statements on File page

https://gerrit.wikimedia.org/r/510577

Cparle claimed this task.May 16 2019, 11:10 AM
Cparle moved this task from To Do to Doing on the Structured-Data-Team-Current-Work board.

Hey Cormac, I don't think the designs need to change much, other than the button for adding addition statements. I'd like to keep the styling of the buttons we use on Upload Wizard:

^we would just need to update the button copy to "Add a statement"

Change 510577 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Other statements on File page

https://gerrit.wikimedia.org/r/510577

Cparle removed Cparle as the assignee of this task.Jun 12 2019, 4:47 PM

Unassigning from myself - will reassign when ready for testing on beta

Ramsey-WMF closed this task as Resolved.Jul 31 2019, 7:51 PM
Ramsey-WMF claimed this task.
Ramsey-WMF added a subscriber: Ramsey-WMF.

Tested on production. Finally done!